/*
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * */



/*===============================  HEADER  ==================================*/


#include <iostream>
#include <stdlib.h>
#include "server.hpp"


using namespace std;

#define KNRM  "\x1B[0m"
#define KRED  "\x1B[31m"
#define KGRN  "\x1B[32m"
#define KYEL  "\x1B[33m"
#define KBLU  "\x1B[34m"
#define KMAG  "\x1B[35m"
#define KCYN  "\x1B[36m"
#define KWHT  "\x1B[37m"


/*---------------------------------------------------------------------------*/



/*================================  CODE  ===================================*/


int main(int argc, char ** argv) {
	if ( argc != 3 ){
		cerr << "Usage: " << argv[0] << " <dicionary:file_url> <port:int>\n";
		return 1;
	}
	
	int port = atoi(argv[2]);
	EmbeddedServer server(argv[1], port);
	while(1)
		sleep(100);
	return 0;
}


/*---------------------------------------------------------------------------*/

